IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2001:db8:1:7000::/52- First address
2001:db8:1:7000::- Last address
2001:db8:1:7fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2001:0db8:0001:7000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
7.1.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:1:7000::/52 makes 4,096 subnets of /64; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:1:7000::/64 | 2001:db8:1:7000:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:1:7001::/64 | 2001:db8:1:7001:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:1:7002::/64 | 2001:db8:1:7002:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:1:7003::/64 | 2001:db8:1:7003:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:1:7004::/64 | 2001:db8:1:7004:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:1:7005::/64 | 2001:db8:1:7005:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:1:7006::/64 | 2001:db8:1:7006:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:1:7007::/64 | 2001:db8:1:7007:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:1:7008::/64 | 2001:db8:1:7008:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:1:7009::/64 | 2001:db8:1:7009:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:1:700a::/64 | 2001:db8:1:700a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:1:700b::/64 | 2001:db8:1:700b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:1:700c::/64 | 2001:db8:1:700c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:1:700d::/64 | 2001:db8:1:700d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:1:700e::/64 | 2001:db8:1:700e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:1:700f::/64 | 2001:db8:1:700f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:1:7010::/64 | 2001:db8:1:7010:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:1:7011::/64 | 2001:db8:1:7011:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:1:7012::/64 | 2001:db8:1:7012:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:1:7013::/64 | 2001:db8:1:7013:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:1:7014::/64 | 2001:db8:1:7014:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:1:7015::/64 | 2001:db8:1:7015:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:1:7016::/64 | 2001:db8:1:7016:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:1:7017::/64 | 2001:db8:1:7017:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:1:7018::/64 | 2001:db8:1:7018:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:1:7019::/64 | 2001:db8:1:7019:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:1:701a::/64 | 2001:db8:1:701a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:1:701b::/64 | 2001:db8:1:701b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:1:701c::/64 | 2001:db8:1:701c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:1:701d::/64 | 2001:db8:1:701d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:1:701e::/64 | 2001:db8:1:701e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:1:701f::/64 | 2001:db8:1:701f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:1:7020::/64 | 2001:db8:1:7020:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:1:7021::/64 | 2001:db8:1:7021:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:1:7022::/64 | 2001:db8:1:7022:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:1:7023::/64 | 2001:db8:1:7023:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:1:7024::/64 | 2001:db8:1:7024:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:1:7025::/64 | 2001:db8:1:7025:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:1:7026::/64 | 2001:db8:1:7026:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:1:7027::/64 | 2001:db8:1:7027:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:1:7028::/64 | 2001:db8:1:7028:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:1:7029::/64 | 2001:db8:1:7029:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:1:702a::/64 | 2001:db8:1:702a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:1:702b::/64 | 2001:db8:1:702b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:1:702c::/64 | 2001:db8:1:702c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:1:702d::/64 | 2001:db8:1:702d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:1:702e::/64 | 2001:db8:1:702e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:1:702f::/64 | 2001:db8:1:702f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:1:7030::/64 | 2001:db8:1:7030:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:1:7031::/64 | 2001:db8:1:7031:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:1:7032::/64 | 2001:db8:1:7032:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:1:7033::/64 | 2001:db8:1:7033:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:1:7034::/64 | 2001:db8:1:7034:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:1:7035::/64 | 2001:db8:1:7035:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:1:7036::/64 | 2001:db8:1:7036:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:1:7037::/64 | 2001:db8:1:7037:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:1:7038::/64 | 2001:db8:1:7038:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:1:7039::/64 | 2001:db8:1:7039:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:1:703a::/64 | 2001:db8:1:703a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:1:703b::/64 | 2001:db8:1:703b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:1:703c::/64 | 2001:db8:1:703c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:1:703d::/64 | 2001:db8:1:703d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:1:703e::/64 | 2001:db8:1:703e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:1:703f::/64 | 2001:db8:1:703f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:1:7040::/64 | 2001:db8:1:7040:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:1:7041::/64 | 2001:db8:1:7041:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:1:7042::/64 | 2001:db8:1:7042:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:1:7043::/64 | 2001:db8:1:7043:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:1:7044::/64 | 2001:db8:1:7044:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:1:7045::/64 | 2001:db8:1:7045:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:1:7046::/64 | 2001:db8:1:7046:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:1:7047::/64 | 2001:db8:1:7047:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:1:7048::/64 | 2001:db8:1:7048:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:1:7049::/64 | 2001:db8:1:7049:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:1:704a::/64 | 2001:db8:1:704a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:1:704b::/64 | 2001:db8:1:704b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:1:704c::/64 | 2001:db8:1:704c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:1:704d::/64 | 2001:db8:1:704d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:1:704e::/64 | 2001:db8:1:704e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:1:704f::/64 | 2001:db8:1:704f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:1:7050::/64 | 2001:db8:1:7050:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:1:7051::/64 | 2001:db8:1:7051:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:1:7052::/64 | 2001:db8:1:7052:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:1:7053::/64 | 2001:db8:1:7053:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:1:7054::/64 | 2001:db8:1:7054:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:1:7055::/64 | 2001:db8:1:7055:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:1:7056::/64 | 2001:db8:1:7056:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:1:7057::/64 | 2001:db8:1:7057:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:1:7058::/64 | 2001:db8:1:7058:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:1:7059::/64 | 2001:db8:1:7059:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:1:705a::/64 | 2001:db8:1:705a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:1:705b::/64 | 2001:db8:1:705b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:1:705c::/64 | 2001:db8:1:705c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:1:705d::/64 | 2001:db8:1:705d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:1:705e::/64 | 2001:db8:1:705e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:1:705f::/64 | 2001:db8:1:705f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:1:7060::/64 | 2001:db8:1:7060:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:1:7061::/64 | 2001:db8:1:7061:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:1:7062::/64 | 2001:db8:1:7062:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:1:7063::/64 | 2001:db8:1:7063:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:1:7064::/64 | 2001:db8:1:7064:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:1:7065::/64 | 2001:db8:1:7065:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:1:7066::/64 | 2001:db8:1:7066:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:1:7067::/64 | 2001:db8:1:7067:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:1:7068::/64 | 2001:db8:1:7068:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:1:7069::/64 | 2001:db8:1:7069:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:1:706a::/64 | 2001:db8:1:706a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:1:706b::/64 | 2001:db8:1:706b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:1:706c::/64 | 2001:db8:1:706c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:1:706d::/64 | 2001:db8:1:706d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:1:706e::/64 | 2001:db8:1:706e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:1:706f::/64 | 2001:db8:1:706f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:1:7070::/64 | 2001:db8:1:7070:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:1:7071::/64 | 2001:db8:1:7071:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:1:7072::/64 | 2001:db8:1:7072:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:1:7073::/64 | 2001:db8:1:7073:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:1:7074::/64 | 2001:db8:1:7074:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:1:7075::/64 | 2001:db8:1:7075:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:1:7076::/64 | 2001:db8:1:7076:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:1:7077::/64 | 2001:db8:1:7077:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:1:7078::/64 | 2001:db8:1:7078:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:1:7079::/64 | 2001:db8:1:7079:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:1:707a::/64 | 2001:db8:1:707a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:1:707b::/64 | 2001:db8:1:707b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:1:707c::/64 | 2001:db8:1:707c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:1:707d::/64 | 2001:db8:1:707d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:1:707e::/64 | 2001:db8:1:707e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:1:707f::/64 | 2001:db8:1:707f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:1:7080::/64 | 2001:db8:1:7080:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:1:7081::/64 | 2001:db8:1:7081:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:1:7082::/64 | 2001:db8:1:7082:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:1:7083::/64 | 2001:db8:1:7083:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:1:7084::/64 | 2001:db8:1:7084:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:1:7085::/64 | 2001:db8:1:7085:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:1:7086::/64 | 2001:db8:1:7086:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:1:7087::/64 | 2001:db8:1:7087:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:1:7088::/64 | 2001:db8:1:7088:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:1:7089::/64 | 2001:db8:1:7089:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:1:708a::/64 | 2001:db8:1:708a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:1:708b::/64 | 2001:db8:1:708b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:1:708c::/64 | 2001:db8:1:708c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:1:708d::/64 | 2001:db8:1:708d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:1:708e::/64 | 2001:db8:1:708e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:1:708f::/64 | 2001:db8:1:708f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:1:7090::/64 | 2001:db8:1:7090:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:1:7091::/64 | 2001:db8:1:7091:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:1:7092::/64 | 2001:db8:1:7092:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:1:7093::/64 | 2001:db8:1:7093:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:1:7094::/64 | 2001:db8:1:7094:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:1:7095::/64 | 2001:db8:1:7095:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:1:7096::/64 | 2001:db8:1:7096:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:1:7097::/64 | 2001:db8:1:7097:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:1:7098::/64 | 2001:db8:1:7098:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:1:7099::/64 | 2001:db8:1:7099:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:1:709a::/64 | 2001:db8:1:709a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:1:709b::/64 | 2001:db8:1:709b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:1:709c::/64 | 2001:db8:1:709c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:1:709d::/64 | 2001:db8:1:709d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:1:709e::/64 | 2001:db8:1:709e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:1:709f::/64 | 2001:db8:1:709f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:1:70a0::/64 | 2001:db8:1:70a0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:1:70a1::/64 | 2001:db8:1:70a1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:1:70a2::/64 | 2001:db8:1:70a2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:1:70a3::/64 | 2001:db8:1:70a3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:1:70a4::/64 | 2001:db8:1:70a4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:1:70a5::/64 | 2001:db8:1:70a5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:1:70a6::/64 | 2001:db8:1:70a6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:1:70a7::/64 | 2001:db8:1:70a7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:1:70a8::/64 | 2001:db8:1:70a8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:1:70a9::/64 | 2001:db8:1:70a9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:1:70aa::/64 | 2001:db8:1:70aa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:1:70ab::/64 | 2001:db8:1:70ab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:1:70ac::/64 | 2001:db8:1:70ac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:1:70ad::/64 | 2001:db8:1:70ad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:1:70ae::/64 | 2001:db8:1:70ae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:1:70af::/64 | 2001:db8:1:70af:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:1:70b0::/64 | 2001:db8:1:70b0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:1:70b1::/64 | 2001:db8:1:70b1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:1:70b2::/64 | 2001:db8:1:70b2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:1:70b3::/64 | 2001:db8:1:70b3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:1:70b4::/64 | 2001:db8:1:70b4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:1:70b5::/64 | 2001:db8:1:70b5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:1:70b6::/64 | 2001:db8:1:70b6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:1:70b7::/64 | 2001:db8:1:70b7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:1:70b8::/64 | 2001:db8:1:70b8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:1:70b9::/64 | 2001:db8:1:70b9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:1:70ba::/64 | 2001:db8:1:70ba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:1:70bb::/64 | 2001:db8:1:70bb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:1:70bc::/64 | 2001:db8:1:70bc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:1:70bd::/64 | 2001:db8:1:70bd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:1:70be::/64 | 2001:db8:1:70be:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:1:70bf::/64 | 2001:db8:1:70bf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:1:70c0::/64 | 2001:db8:1:70c0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:1:70c1::/64 | 2001:db8:1:70c1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:1:70c2::/64 | 2001:db8:1:70c2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:1:70c3::/64 | 2001:db8:1:70c3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:1:70c4::/64 | 2001:db8:1:70c4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:1:70c5::/64 | 2001:db8:1:70c5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:1:70c6::/64 | 2001:db8:1:70c6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:1:70c7::/64 | 2001:db8:1:70c7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:1:70c8::/64 | 2001:db8:1:70c8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:1:70c9::/64 | 2001:db8:1:70c9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:1:70ca::/64 | 2001:db8:1:70ca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:1:70cb::/64 | 2001:db8:1:70cb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:1:70cc::/64 | 2001:db8:1:70cc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:1:70cd::/64 | 2001:db8:1:70cd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:1:70ce::/64 | 2001:db8:1:70ce:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:1:70cf::/64 | 2001:db8:1:70cf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:1:70d0::/64 | 2001:db8:1:70d0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:1:70d1::/64 | 2001:db8:1:70d1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:1:70d2::/64 | 2001:db8:1:70d2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:1:70d3::/64 | 2001:db8:1:70d3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:1:70d4::/64 | 2001:db8:1:70d4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:1:70d5::/64 | 2001:db8:1:70d5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:1:70d6::/64 | 2001:db8:1:70d6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:1:70d7::/64 | 2001:db8:1:70d7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:1:70d8::/64 | 2001:db8:1:70d8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:1:70d9::/64 | 2001:db8:1:70d9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:1:70da::/64 | 2001:db8:1:70da:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:1:70db::/64 | 2001:db8:1:70db:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:1:70dc::/64 | 2001:db8:1:70dc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:1:70dd::/64 | 2001:db8:1:70dd:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:1:70de::/64 | 2001:db8:1:70de:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:1:70df::/64 | 2001:db8:1:70df:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:1:70e0::/64 | 2001:db8:1:70e0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:1:70e1::/64 | 2001:db8:1:70e1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:1:70e2::/64 | 2001:db8:1:70e2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:1:70e3::/64 | 2001:db8:1:70e3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:1:70e4::/64 | 2001:db8:1:70e4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:1:70e5::/64 | 2001:db8:1:70e5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:1:70e6::/64 | 2001:db8:1:70e6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:1:70e7::/64 | 2001:db8:1:70e7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:1:70e8::/64 | 2001:db8:1:70e8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:1:70e9::/64 | 2001:db8:1:70e9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:1:70ea::/64 | 2001:db8:1:70ea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:1:70eb::/64 | 2001:db8:1:70eb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:1:70ec::/64 | 2001:db8:1:70ec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:1:70ed::/64 | 2001:db8:1:70ed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:1:70ee::/64 | 2001:db8:1:70ee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:1:70ef::/64 | 2001:db8:1:70ef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:1:70f0::/64 | 2001:db8:1:70f0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:1:70f1::/64 | 2001:db8:1:70f1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:1:70f2::/64 | 2001:db8:1:70f2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:1:70f3::/64 | 2001:db8:1:70f3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:1:70f4::/64 | 2001:db8:1:70f4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:1:70f5::/64 | 2001:db8:1:70f5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:1:70f6::/64 | 2001:db8:1:70f6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:1:70f7::/64 | 2001:db8:1:70f7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:1:70f8::/64 | 2001:db8:1:70f8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:1:70f9::/64 | 2001:db8:1:70f9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:1:70fa::/64 | 2001:db8:1:70fa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:1:70fb::/64 | 2001:db8:1:70fb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:1:70fc::/64 | 2001:db8:1:70fc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:1:70fd::/64 | 2001:db8:1:70fd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:1:70fe::/64 | 2001:db8:1:70fe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:1:70ff::/64 | 2001:db8:1:70ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |